com.amazonaws.codegen.model.service

## Class Shape

- java.lang.Object
- - com.amazonaws.codegen.model.service.Shape

    public class Shape
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Shape()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDocumentation()`
`List<String>` `getEnumValues()`
`ErrorTrait` `getErrorTrait()`
`Member` `getListMember()`
`Member` `getMapKeyType()`
`Member` `getMapValueType()`
`long` `getMax()`
`Map<String,Member>` `getMembers()`
`long` `getMin()`
`String` `getPattern()`
`String` `getPayload()`
`List<String>` `getRequired()`
`String` `getType()`
`boolean` `isDeprecated()`
`boolean` `isException()`
`boolean` `isFault()`
`boolean` `isFlattened()`
`boolean` `isStreaming()`
`boolean` `isWrapper()`
`void` `setDeprecated(boolean deprecated)`
`void` `setDocumentation(String documentation)`
`void` `setEnumValues(List<String> enumValues)`
`void` `setErrorTrait(ErrorTrait errorTrait)`
`void` `setException(boolean exception)`
`void` `setFault(boolean fault)`
`void` `setFlattened(boolean flattened)`
`void` `setListMember(Member listMember)`
`void` `setMapKeyType(Member mapKeyType)`
`void` `setMapValueType(Member mapValueType)`
`void` `setMax(long max)`
`void` `setMembers(Map<String,Member> members)`
`void` `setMin(long min)`
`void` `setPattern(String pattern)`
`void` `setPayload(String payload)`
`void` `setRequired(List<String> required)`
`void` `setStreaming(boolean streaming)`
`void` `setType(String type)`
`void` `setWrapper(boolean wrapper)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Shape

    public Shape()

### Method Detail

#### isFault

    public boolean isFault()

#### setFault

    public void setFault(boolean fault)

#### getPattern

    public String getPattern()

#### setPattern

    public void setPattern(String pattern)

#### getType

    public String getType()

#### setType

    public void setType(String type)

#### getMembers

    public Map<String,Member> getMembers()

#### setMembers

    public void setMembers(Map<String,Member> members)

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)

#### getRequired

    public List<String> getRequired()

#### setRequired

    public void setRequired(List<String> required)

#### getEnumValues

    public List<String> getEnumValues()

#### setEnumValues

    public void setEnumValues(List<String> enumValues)

#### getPayload

    public String getPayload()

#### setPayload

    public void setPayload(String payload)

#### isFlattened

    public boolean isFlattened()

#### setFlattened

    public void setFlattened(boolean flattened)

#### isException

    public boolean isException()

#### setException

    public void setException(boolean exception)

#### getMapKeyType

    public Member getMapKeyType()

#### setMapKeyType

    public void setMapKeyType(Member mapKeyType)

#### getMapValueType

    public Member getMapValueType()

#### setMapValueType

    public void setMapValueType(Member mapValueType)

#### getListMember

    public Member getListMember()

#### setListMember

    public void setListMember(Member listMember)

#### getMin

    public long getMin()

#### setMin

    public void setMin(long min)

#### getMax

    public long getMax()

#### setMax

    public void setMax(long max)

#### isStreaming

    public boolean isStreaming()

#### setStreaming

    public void setStreaming(boolean streaming)

#### isWrapper

    public boolean isWrapper()

#### setWrapper

    public void setWrapper(boolean wrapper)

#### getErrorTrait

    public ErrorTrait getErrorTrait()

#### setErrorTrait

    public void setErrorTrait(ErrorTrait errorTrait)

#### isDeprecated

    public boolean isDeprecated()

#### setDeprecated

    public void setDeprecated(boolean deprecated)